Subject: Re: bug#8005: coreutils-8.10: make check failure

From: Pádraig Brady <[email-masked]>
Date: Tue, 08 Feb 2011 21:57:25 +0000

On 08/02/11 21:30, Gilles Espinasse wrote:
>>> FAIL: cp/sparse-fiemap (exit: 1)
>>> ================================
>>
>> Thanks for the report.
>> I suspect that is merely a weakness in the test script and not a real
> problem,
>> and in fact Pádraig Brady posted a patch that probably fixes it here:
>>
>>   http://thread.gmane.org/gmane.comp.gnu.core-utils.announce/65/focus=867
>>
>>
>> Just in case, can you tell us about your system
>> (i.e., uname -a) and file system type (df -T .) ?
>>
> I don't know what happen with my report send reporting that same issue the 7
> feb send to [email-masked]

There have been delays lately, which has been reported.
It might arrive at some stage.

> I tested on both machines with ext3

So the test would have been with ext4 loop back,
which has the sync requirement addressed by
my imminent patch.

> As a notice, python is not the LFS book, only perl is compiled on toolchain
> to populate LFS chroot.
> python is in Beyond Linux From Scratch (what you may compile after toolchain
> and base build).

Surprising but immaterial in this case.

cheers,
Pádraig.